import QtQuick
import QtQuick.Controls
import QtQuick.Layouts

Page {
    property string serverAddress

    signal pickServer(address: string)

    title: qsTr("Welcome")

    Column {
        anchors.centerIn: parent
        spacing: 10

        Label {
            anchors.horizontalCenter: parent.horizontalCenter
            text: qsTr("Welcome to Megpie!")
            font {
                pixelSize: 22
                bold: true
            }
        }

        Row {
            anchors.horizontalCenter: parent.horizontalCenter
            spacing: 5

            Label {
                horizontalAlignment: Label.AlignRight
                text: qsTr("Current server:")
            }
            Label {
                horizontalAlignment: Label.AlignLeft
                text: serverAddress || qsTr("choose")
                font {
                    italic: true
                    underline: true
                }

                MouseArea {
                    anchors.fill: parent
                    onClicked: pickServer(serverAddress)
                }
            }
        }
    }
}
